#include <iostream>
using namespace std;

int pow(int x, int n) {
	int s = 1;
	int i = 0;
	while (i < n) {
		s = s * x;
		i = i + 1;
	}
	return s;
}
/*
Всеки път когато достигнем ред 7-ми е вярно: s=x^i

База:
i=0, s=1 => s=1=x^0=x^i

Поддръжка:
Допускаме, че е вярно за някое непоследно достигане на 7-ми ред

s=x^i

Стъпки в тялото на циъкла
s' = s * x = x^i * x = x^(i+1)
i' = i + 1

s'=x^i' ?
s'=x^(i+1)=x^i'

Терминация:
Последното достигане на 7-ми ред е при i = n,
при това достигане е вярно, че s=x^i => s=x^n
return s
*/

int main() {
	int x, n;
	cin >> x >> n;
	cout << pow(x, n) << "\n";
	return 0;
}
	